
public abstract class MessageBuilder {
    protected Message message;

    public Message getMessage() {
        return message;
    }

    public void setMessage(Message message) {
        this.message = message;
    }

    public void createMessage() {
        message = new Message();
    }

    public void constructMessage(){
        message = new Message();
    }
    
    public void constructSender(String sender){
        message.setSender(sender);
    }

    public void constructRecipient(String recipient){
        message.setRecipient(recipient);
    }

    public abstract void constructMessageHeader();
    public abstract void constructMessageBody(String body);
}

