
public class TestPattern {

    public static void main(String[] args){
        ContentProvider contentProvider = new ContentProvider();
        MessageBuilder smsMessageBuilder = new SMSMessageBuilder();
        MessageBuilder mmsMessageBuilder = new MMSMessageBuilder();

        Message sms = contentProvider.createMessage(smsMessageBuilder, "1234", "5678", "SMS message");
        Message mms = contentProvider.createMessage(mmsMessageBuilder, "1234", "5678", "MMS message");

        System.out.println(sms.toString());
        System.out.println(mms.toString());
    }
}
